Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229126 - mock stops with TypeError: 'NoneType' object is not iterable
Summary: mock stops with TypeError: 'NoneType' object is not iterable
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-17 17:21 UTC by Mamoru TASAKA
Modified: 2014-01-21 22:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-22 08:06:08 UTC


Attachments (Terms of Use)
Mock build log of xscreensaver srpm with yum-3.1.1 (deleted)
2007-02-17 17:21 UTC, Mamoru TASAKA
no flags Details

Description Mamoru TASAKA 2007-02-17 17:21:19 UTC
Description of problem:
With yum 3.1.1 mock immediately stops with the following
error.
yum 3.1.0 causes no problem.

Version-Release number of selected component (if applicable):
yum-3.1.1-3.fc7
mock-0.6.11-1.fc7

How reproducible:
100%

Steps to Reproduce:
1. try "mock <some srpm>" with yum 3.1.1
2.
3.
  
Actual results:
DEBUG: Executing /usr/sbin/mock-helper yum --installroot
/var/lib/mock/fedora-development-i386-core/root install buildsys-build
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
No Repositories Available to Set Up
Reading repository metadata in from local files
Parsing package install arguments
Traceback (most recent call last):
  File "/usr/libexec/mock-yum", line 12, in <module>
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 94, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 263, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd,
self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 134, in doCommand
    return base.installPkgs(extcmds)
  File "/usr/share/yum-cli/cli.py", line 436, in installPkgs
    self.pkgSack.matchPackageNames(arglist)
  File "/usr/lib/python2.5/site-packages/yum/packageSack.py", line 360, in
matchPackageNames
    unmatched = list(unmatched)
TypeError: 'NoneType' object is not iterable

Additional info:
F7T1 yum-3.1.0-2.fc7 has no problem.

Comment 1 Mamoru TASAKA 2007-02-17 17:21:19 UTC
Created attachment 148270 [details]
Mock build log of xscreensaver srpm with yum-3.1.1

Comment 2 Jeremy Katz 2007-02-21 22:07:06 UTC
Does this still happen with yum-3.1.2?

Comment 3 Mamoru TASAKA 2007-02-22 08:06:08 UTC
mockbuild under mock-0.6.12-1.fc7 and yum-3.1.2-1.fc7
ended successfully. Thank you.



Note You need to log in before you can comment on or make changes to this bug.